<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_202) on Mon Jun 03 13:13:19 CEST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class model.Map (Master POM 0.0.1-SNAPSHOT API)</title>
<meta name="date" content="2019-06-03">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class model.Map (Master POM 0.0.1-SNAPSHOT API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../model/Map.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/class-use/Map.html" target="_top">Frames</a></li>
<li><a href="Map.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class model.Map" class="title">Uses of Class<br>model.Map</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../model/Map.html" title="class in model">Map</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#model">model</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#model.Element">model.Element</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="model">
<!--   -->
</a>
<h3>Uses of <a href="../../model/Map.html" title="class in model">Map</a> in <a href="../../model/package-summary.html">model</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../model/package-summary.html">model</a> declared as <a href="../../model/Map.html" title="class in model">Map</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>private <a href="../../model/Map.html" title="class in model">Map</a></code></td>
<td class="colLast"><span class="typeNameLabel">Model.</span><code><span class="memberNameLink"><a href="../../model/Model.html#map">map</a></span></code>
<div class="block">The map.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../model/package-summary.html">model</a> that return <a href="../../model/Map.html" title="class in model">Map</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../model/Map.html" title="class in model">Map</a></code></td>
<td class="colLast"><span class="typeNameLabel">Model.</span><code><span class="memberNameLink"><a href="../../model/Model.html#getMap--">getMap</a></span>()</code>
<div class="block">Gets the map.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../model/package-summary.html">model</a> with parameters of type <a href="../../model/Map.html" title="class in model">Map</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Model.</span><code><span class="memberNameLink"><a href="../../model/Model.html#setMap-model.Map-">setMap</a></span>(<a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Sets the map.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="model.Element">
<!--   -->
</a>
<h3>Uses of <a href="../../model/Map.html" title="class in model">Map</a> in <a href="../../model/Element/package-summary.html">model.Element</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../model/Element/package-summary.html">model.Element</a> with parameters of type <a href="../../model/Map.html" title="class in model">Map</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../model/Element/Player.html#death-int-int-model.Map-">death</a></span>(int&nbsp;x,
     int&nbsp;y,
     <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Death.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Living.</span><code><span class="memberNameLink"><a href="../../model/Element/Living.html#death-int-int-model.Map-">death</a></span>(int&nbsp;x,
     int&nbsp;y,
     <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Death.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Enemy.</span><code><span class="memberNameLink"><a href="../../model/Element/Enemy.html#death-int-int-model.Map-">death</a></span>(int&nbsp;x,
     int&nbsp;y,
     <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Death.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../model/Element/Player.html#destruction-int-int-model.Map-">destruction</a></span>(int&nbsp;x,
           int&nbsp;y,
           <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Destruction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Motion.</span><code><span class="memberNameLink"><a href="../../model/Element/Motion.html#destruction-int-int-model.Map-">destruction</a></span>(int&nbsp;x,
           int&nbsp;y,
           <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Destruction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">IElement.</span><code><span class="memberNameLink"><a href="../../model/Element/IElement.html#destruction-int-int-model.Map-">destruction</a></span>(int&nbsp;x,
           int&nbsp;y,
           <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Destruction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Ground.</span><code><span class="memberNameLink"><a href="../../model/Element/Ground.html#destruction-int-int-model.Map-">destruction</a></span>(int&nbsp;x,
           int&nbsp;y,
           <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Destruction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Enemy.</span><code><span class="memberNameLink"><a href="../../model/Element/Enemy.html#destruction-int-int-model.Map-">destruction</a></span>(int&nbsp;x,
           int&nbsp;y,
           <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Destruction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Empty.</span><code><span class="memberNameLink"><a href="../../model/Element/Empty.html#destruction-int-int-model.Map-">destruction</a></span>(int&nbsp;x,
           int&nbsp;y,
           <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Destruction.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Element.</span><code><span class="memberNameLink"><a href="../../model/Element/Element.html#destruction-int-int-model.Map-">destruction</a></span>(int&nbsp;x,
           int&nbsp;y,
           <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Destruction.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Motion.</span><code><span class="memberNameLink"><a href="../../model/Element/Motion.html#freePlace-int-int-model.Map-">freePlace</a></span>(int&nbsp;x,
         int&nbsp;y,
         <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Free place.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">Enemy.</span><code><span class="memberNameLink"><a href="../../model/Element/Enemy.html#freePlace-int-int-model.Map-">freePlace</a></span>(int&nbsp;x,
         int&nbsp;y,
         <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Free place.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../model/Element/Player.html#move-int-int-int-model.Map-">move</a></span>(int&nbsp;x,
    int&nbsp;y,
    int&nbsp;direction,
    <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Motion.</span><code><span class="memberNameLink"><a href="../../model/Element/Motion.html#move-int-int-int-model.Map-">move</a></span>(int&nbsp;x,
    int&nbsp;y,
    int&nbsp;direction,
    <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">IElement.</span><code><span class="memberNameLink"><a href="../../model/Element/IElement.html#move-int-int-int-model.Map-">move</a></span>(int&nbsp;x,
    int&nbsp;y,
    int&nbsp;direction,
    <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Enemy.</span><code><span class="memberNameLink"><a href="../../model/Element/Enemy.html#move-int-int-int-model.Map-">move</a></span>(int&nbsp;x,
    int&nbsp;y,
    int&nbsp;direction,
    <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Element.</span><code><span class="memberNameLink"><a href="../../model/Element/Element.html#move-int-int-int-model.Map-">move</a></span>(int&nbsp;x,
    int&nbsp;y,
    int&nbsp;direction,
    <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../model/Element/Player.html#moveDown-int-int-model.Map-">moveDown</a></span>(int&nbsp;x,
        int&nbsp;y,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move down.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Moves.</span><code><span class="memberNameLink"><a href="../../model/Element/Moves.html#moveDown-int-int-model.Map-">moveDown</a></span>(int&nbsp;x,
        int&nbsp;y,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move down.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Motion.</span><code><span class="memberNameLink"><a href="../../model/Element/Motion.html#moveDown-int-int-model.Map-">moveDown</a></span>(int&nbsp;x,
        int&nbsp;y,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move down.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Enemy.</span><code><span class="memberNameLink"><a href="../../model/Element/Enemy.html#moveDown-int-int-model.Map-">moveDown</a></span>(int&nbsp;x,
        int&nbsp;y,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move down.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../model/Element/Player.html#moveLeft-int-int-model.Map-">moveLeft</a></span>(int&nbsp;x,
        int&nbsp;y,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move left.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Moves.</span><code><span class="memberNameLink"><a href="../../model/Element/Moves.html#moveLeft-int-int-model.Map-">moveLeft</a></span>(int&nbsp;x,
        int&nbsp;y,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move left.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Motion.</span><code><span class="memberNameLink"><a href="../../model/Element/Motion.html#moveLeft-int-int-model.Map-">moveLeft</a></span>(int&nbsp;x,
        int&nbsp;y,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move left.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Enemy.</span><code><span class="memberNameLink"><a href="../../model/Element/Enemy.html#moveLeft-int-int-model.Map-">moveLeft</a></span>(int&nbsp;x,
        int&nbsp;y,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move left.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../model/Element/Player.html#moveRight-int-int-model.Map-">moveRight</a></span>(int&nbsp;x,
         int&nbsp;y,
         <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move right.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Moves.</span><code><span class="memberNameLink"><a href="../../model/Element/Moves.html#moveRight-int-int-model.Map-">moveRight</a></span>(int&nbsp;x,
         int&nbsp;y,
         <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move right.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Motion.</span><code><span class="memberNameLink"><a href="../../model/Element/Motion.html#moveRight-int-int-model.Map-">moveRight</a></span>(int&nbsp;x,
         int&nbsp;y,
         <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move right.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Enemy.</span><code><span class="memberNameLink"><a href="../../model/Element/Enemy.html#moveRight-int-int-model.Map-">moveRight</a></span>(int&nbsp;x,
         int&nbsp;y,
         <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move right.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../model/Element/Player.html#moveUp-int-int-model.Map-">moveUp</a></span>(int&nbsp;x,
      int&nbsp;y,
      <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move up.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Moves.</span><code><span class="memberNameLink"><a href="../../model/Element/Moves.html#moveUp-int-int-model.Map-">moveUp</a></span>(int&nbsp;x,
      int&nbsp;y,
      <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move up.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Motion.</span><code><span class="memberNameLink"><a href="../../model/Element/Motion.html#moveUp-int-int-model.Map-">moveUp</a></span>(int&nbsp;x,
      int&nbsp;y,
      <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move up.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Enemy.</span><code><span class="memberNameLink"><a href="../../model/Element/Enemy.html#moveUp-int-int-model.Map-">moveUp</a></span>(int&nbsp;x,
      int&nbsp;y,
      <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Move up.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Rock.</span><code><span class="memberNameLink"><a href="../../model/Element/Rock.html#walkOver-int-int-char-model.Map-">walkOver</a></span>(int&nbsp;x,
        int&nbsp;y,
        char&nbsp;direction,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Walk over.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Player.</span><code><span class="memberNameLink"><a href="../../model/Element/Player.html#walkOver-int-int-char-model.Map-">walkOver</a></span>(int&nbsp;x,
        int&nbsp;y,
        char&nbsp;direction,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Walk over.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">IElement.</span><code><span class="memberNameLink"><a href="../../model/Element/IElement.html#walkOver-int-int-char-model.Map-">walkOver</a></span>(int&nbsp;x,
        int&nbsp;y,
        char&nbsp;direction,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Walk over.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Ground.</span><code><span class="memberNameLink"><a href="../../model/Element/Ground.html#walkOver-int-int-char-model.Map-">walkOver</a></span>(int&nbsp;x,
        int&nbsp;y,
        char&nbsp;direction,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Walk over.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Exit.</span><code><span class="memberNameLink"><a href="../../model/Element/Exit.html#walkOver-int-int-char-model.Map-">walkOver</a></span>(int&nbsp;x,
        int&nbsp;y,
        char&nbsp;direction,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Walk over.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Enemy.</span><code><span class="memberNameLink"><a href="../../model/Element/Enemy.html#walkOver-int-int-char-model.Map-">walkOver</a></span>(int&nbsp;x,
        int&nbsp;y,
        char&nbsp;direction,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Walk over.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Empty.</span><code><span class="memberNameLink"><a href="../../model/Element/Empty.html#walkOver-int-int-char-model.Map-">walkOver</a></span>(int&nbsp;x,
        int&nbsp;y,
        char&nbsp;direction,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Walk over.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Element.</span><code><span class="memberNameLink"><a href="../../model/Element/Element.html#walkOver-int-int-char-model.Map-">walkOver</a></span>(int&nbsp;x,
        int&nbsp;y,
        char&nbsp;direction,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Walk over.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">Diamond.</span><code><span class="memberNameLink"><a href="../../model/Element/Diamond.html#walkOver-int-int-char-model.Map-">walkOver</a></span>(int&nbsp;x,
        int&nbsp;y,
        char&nbsp;direction,
        <a href="../../model/Map.html" title="class in model">Map</a>&nbsp;map)</code>
<div class="block">Walk over.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../model/Map.html" title="class in model">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-all.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../index.html?model/class-use/Map.html" target="_top">Frames</a></li>
<li><a href="Map.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
